//=========================================================================
// C++ Bridge Designpattern  BRBridge.h
//=========================================================================
#ifndef _BRBRIDGE_H_
#define _BRBRIDGE_H_

#include <vector>
#include "BRModel.h"
#include "BRVerkaufsleiterListeItem.h"
#include "BRVerkaeuferListeItem.h"

using namespace std;

class BRBridge
{
   public:
      BRBridge(BRModel *pModel);

      vector<BRVerkaufsleiterListeItem> getVerkaufsleiterListe();
      vector<BRVerkaeuferListeItem> getVerkaeuferListe();

   protected:
      BRModel *rModel;
};

#endif