//=========================================================================
// C++ Bridge Designpattern  BRViewVerkaeufer.cpp
//=========================================================================
#include "stdafx.h"

#include "BRViewVerkaeufer.h"
#include <iostream>

using namespace std;

//---------------------------------------------------------------------------
/**
 * Constructor
 */
//---------------------------------------------------------------------------
BRViewVerkaeufer::BRViewVerkaeufer(BRBridge *pBridge) : BRView(pBridge)
{
}

//---------------------------------------------------------------------------
/**
 * showWarenListe
 */
//---------------------------------------------------------------------------
void BRViewVerkaeufer::showWarenListe()
{
   vector<BRVerkaeuferListeItem> vListe = rBridge->getVerkaeuferListe();
   cout << "****** Verkaeufer ******" << endl;
   for (unsigned int i=0; i<vListe.size(); i++)
   {
      cout << vListe[i].showContent() << endl;
   }
   cout << endl;
}
