//=========================================================================
// C++ Composite Designpattern  Composite.cpp
//=========================================================================
#include "stdafx.h"
#include <iostream>
#include "COGroup.h"
#include "COLinie.h"
#include "COPunkt.h"

int _tmain(int argc, _TCHAR* argv[])
{
   vector<COElement*>vElemente;
   
   vElemente.push_back(new COLinie(1,1,10,10));
   vElemente.push_back(new COPunkt(21,21));
   vElemente.push_back(new COPunkt(24,21));
   vElemente.push_back(new COLinie(31,31,10,10));
   
   COGroup *rG1 = new COGroup();
   rG1->add(new COLinie (4,4,44,44));
   rG1->add(new COPunkt (41,41));
   vElemente.push_back(rG1);
   
   COGroup *rG2 = new COGroup();
   rG2->add(new COLinie(5,5,55,55));
   rG2->add(new COPunkt(51,51));

   COGroup *rG3 = new COGroup();
   rG3->add(new COLinie(6,6,66,66));
   rG3->add(new COPunkt(61,61));
   rG3->add(rG2);

   vElemente.push_back(rG3);

   for (unsigned int i=0; i<vElemente.size(); i++)
   {
      COElement *rE = vElemente[i];
      cout << rE->showContent() << endl;
   }

   // alle Pointer freigeben
   for (unsigned int i=0; i<vElemente.size(); i++)
   {
      COElement *rE = vElemente[i];
      delete rE;
   }

	return 0;
}

