//=========================================================================
// C++ Decorator Designpattern - DCWare.h 
//=========================================================================
#ifndef _DCWARE_H_
#define _DCWARE_H_

#include "DCIWarenInterface.h"

using namespace std;

class DCWare : public DCIWarenInterface
{
   //----------------------------------------------------------------------
   // Methoden
   //----------------------------------------------------------------------
   public:
       DCWare ();
       DCWare (const string & sNew, const double fNew);
      ~DCWare ();

      virtual void           setName    (const string & sNew);
      virtual const string & getName    (void);
      virtual void           setEKPreis (const double fNew);
      virtual double         getEKPreis (void);

   //----------------------------------------------------------------------
   // Attribute
   //----------------------------------------------------------------------
   protected:
      string sName;
      double fEKPreis;
};

#endif
