//=========================================================================
// C++ Factory Designpattern  FAFactory.h
//=========================================================================
#ifndef _FAFACTORY_H_
#define _FAFACTORY_H_

#include <vector>
#include <string>
#include "FAGraphicElement.h"

using namespace std;

class FAFactory
{ 
   public:
      FAFactory(void);
   
      FAGraphicElement* create(string pElement);
      const vector<string> getElemente(void);

   private:
      vector<string> vElemente;
};

#endif