//=========================================================================
// C++ Factory Designpattern  Factory.cpp
//=========================================================================
#include "stdafx.h"
#include "FAFactory.h"
#include "FAFactory.h"

#include <iostream>

int _tmain(int argc, _TCHAR* argv[])
{
   FAFactory               rFactory;
   vector<string>          vElemente = rFactory.getElemente();
   vector<FAGraphicElement*> vInstanzen;
   vector<string>          vProperties;
   string            sTemp; 
   int               nTemp    = 111;
   FAGraphicElement* rElement = NULL;
   
   // Von jeder Art ein Element erstellen
   for (unsigned int i=0; i<vElemente.size(); i++)
   {
      sTemp = vElemente[i];
      vInstanzen.push_back(rFactory.create(sTemp));
   }

   // Inhalt des Instanzen-Vectors ausgeben
   cout << "\nAusgabe:\n" << endl;
   for (unsigned int i=0; i<vInstanzen.size(); i++)
   {
      cout << vInstanzen[i]->showContent() << endl;
   }
   
   // Erstes Element nehmen und die Properties generisch fllen
   rElement = vInstanzen[0];
   vProperties = rElement->getProperties();
   for (unsigned int i=0; i<vProperties.size(); i++)
   {
      char s[20] = "";
      sprintf(s, "%d", nTemp);
      rElement->setProperty(vProperties[i], s);
      nTemp = nTemp + 111;
   }
   
   // Inhalt des Instanzen-Vectors ausgeben
   cout << "\nAusgabe:\n" << endl;
   for (unsigned int i=0; i<vInstanzen.size(); i++)
   {
      cout << vInstanzen[i]->showContent() << endl;
   }

   // Instanzen freigeben
   cout << "\nFreigabe\n" << endl;
   for (unsigned int i=0; i<vInstanzen.size(); i++)
   {
      delete vInstanzen[i];
   }

   return 0;
}

