//=========================================================================
// C++ Flyweight Designpattern  FLFilereaderFlyweight.h
//=========================================================================
#ifndef _FLFILEREADERFLYWEIGHT_H_
#define _FLFILEREADERFLYWEIGHT_H_

#include <iostream>
#include <string>

using namespace std;

class FLFilereaderFlyweight
{
  public:
     FLFilereaderFlyweight (string pFilename);

     void   setFilename (string pFilename);
     string getFilename (void);
     string getText     (void);

     friend ostream& operator<< (ostream& out, const FLFilereaderFlyweight& f);

  //---------------------------------------------
  private:
     string sFilename;
     string sText;
     bool   bRead;
};

#endif
