//=========================================================================
// C++ Proxy Designpattern  PXDatalist.cpp
//=========================================================================
#include "stdafx.h"
#include "PXDatalist.h"
#include <assert.h>
using namespace std;

//----------------------------------------------------------------------
PXDatalist::PXDatalist(void)
{
}
   
//----------------------------------------------------------------------
void PXDatalist::add (PXDatalistItem pItem)
{
   vList.push_back(pItem);
}

//----------------------------------------------------------------------
void PXDatalist::remove (int pIdx)
{
   unsigned int u = (unsigned)pIdx;
   if (u >= 0 && u < vList.size())
   { 
      vector<PXDatalistItem>::iterator iList = vList.begin()+u;
      vList.erase(iList);
   }
}

//----------------------------------------------------------------------
PXDatalistItem &PXDatalist::get (int pIdx)
{
   unsigned int u = (unsigned)pIdx;
   if (u >= 0 && u < vList.size())
   { 
      return vList[u];
   }
   assert(0);
}

//----------------------------------------------------------------------
size_t PXDatalist::size ()
{
   return vList.size();
}
