//=========================================================================
// C++ Proxy Designpattern  PXVisitorProxy.h
//=========================================================================
#ifndef _PXVISITORPROXY_H_
#define _PXVISITORPROXY_H_

#include <string>
#include "IPXDatalistProxy.h"
#include "PXDatalist.h"

using namespace std;

class PXVisitorProxy : public IPXDatalistProxy
{
   public:
      PXVisitorProxy(PXDatalist *pList);

      void anlegen  (string pVorname, string pNachname, int pKdNr);
      void aendern  (int pIdx, string pVorname, string pNachname, int pKdNr);
      void loeschen (int pIdx);
      void anzeigen (int pIdx);
      void anzeigen (void);

   private:
         PXDatalist *rList;
};

#endif