//=========================================================================
// C++ Strategy Designpattern  Strategy.cpp
//=========================================================================
#include "stdafx.h"
#include "STSaveStrategyPlaintext.h"
#include "STSaveStrategyHtmltext.h"
#include "STLongText.h"

using namespace std;

int _tmain(int argc, _TCHAR* argv[])
{
   STLongText              sText;
      
   sText.setText("Hallo, dies ist ein Test");
   sText.save();
      
   sText.setSaveStrategy(new STSaveStrategyPlaintext());
   sText.save();

   sText.setSaveStrategy(new STSaveStrategyHtmltext());
   sText.save();
	return 0;
}

