//=========================================================================
// C++ Template Method Designpattern - TMFilesaver.h
//=========================================================================
#ifndef _TMFILESAVER_H_
#define _TMFILESAVER_H_

#include <string>
#include <fstream>

using namespace std;

class TMFilesaver
{
   //----------------------------------------------------------------------
   // Methoden
   //----------------------------------------------------------------------
   public:
               TMFilesaver ();
      virtual ~TMFilesaver ();
      
      virtual void save (ofstream & rStream, const string & sFilename);
   
   protected:
      virtual void save_open    (ofstream & rDatei, const string & sFilename);
      virtual void save_write   (ofstream & rDatei) = NULL;
      virtual void save_close   (ofstream & rDatei);
};

#endif
