//=========================================================================
// C++ Template Method Designpattern - TMKunde.cpp
//=========================================================================
#include "stdafx.h"        // Entfernen fr Borland
#include "TMKunde.h"

//-------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------
TMKunde::TMKunde (const string & sNew, const int nNew) : TMPerson (sNew)
{
   nKundennummer = nNew;
}

//-------------------------------------------------------------------------
// Destructor
//-------------------------------------------------------------------------
TMKunde::~TMKunde ()
{
}

//-------------------------------------------------------------------------
// berladen der Template Method save_write
//-------------------------------------------------------------------------
void TMKunde::save_write (ofstream & rDatei)
{
   rDatei << "TMKunde:" << endl;
   rDatei << getName() << endl;
   rDatei << nKundennummer << endl;
}

//-------------------------------------------------------------------------
// setKundennummer (const int)
//-------------------------------------------------------------------------
void TMKunde::setKundennummer (const int nNew)
{
   nKundennummer = nNew;
}

//-------------------------------------------------------------------------
// getKundennummer (void)
//-------------------------------------------------------------------------
const int TMKunde::getKundennummer (void)
{
   return nKundennummer;
}
