//=========================================================================
// C++ Bridge Designpattern  Bridge.cpp
//=========================================================================
#include "stdafx.h"

#include "BRBridge.h"
#include "BRViewVerkaeufer.h"
#include "BRViewVerkaufsleiter.h"

int _tmain(int argc, _TCHAR* argv[])
{
   BRModel              rModel;
   BRBridge             rBridge(&rModel);
   BRViewVerkaeufer     rView1(&rBridge);
   BRViewVerkaufsleiter rView2(&rBridge);
      
   rView1.showWarenListe();
   rView2.showWarenListe();
	return 0;
}

