//=========================================================================
// C++ Command Designpattern  CMKreis.h
//=========================================================================
#ifndef _CMKREIS_H_
#define _CMKREIS_H_

#include <string>
#include <vector>
#include "ICMCommandListener.h"

using namespace std;

class CMKreis : public ICMCommandListener
{ 
   public:
      CMKreis(int px, int py, int pRad);
      virtual ~CMKreis();

      virtual void   doCommand(CMCommand *pCommand);
      virtual string showContent();

   private:
      int xKoordinate;
      int yKoordinate; 
      int nRadius; 
      string sFillColor; 
      string sLineColor; 
};

#endif