//=========================================================================
// C++ Command Designpattern  CMPunkt.cpp
//=========================================================================
#include "stdafx.h"
#include <iostream>
#include "CMPunkt.h"

using namespace std;

//----------------------------------------------------------------------
CMPunkt::CMPunkt(int px, int py)
{
   xKoordinate = px; 
   yKoordinate = py;
   sColor.append ("#000000");
}

//----------------------------------------------------------------------
CMPunkt::~CMPunkt()
{
   cout << "Destructor CMPunkt" << endl;
}

//----------------------------------------------------------------------
void CMPunkt::doCommand (CMCommand *pCommand)
{
   // Punkt kann weder gefllt noch skaliert werden
   if (pCommand->getCommandText() == "Linecolor")
   {
      sColor = pCommand->getData();
   }
}

//----------------------------------------------------------------------
string CMPunkt::showContent(void)
{
   char s[1000] = "";
   sprintf (s, "Punkt: %d, %d - Linie: %s", 
            xKoordinate, yKoordinate,
            sColor.c_str());
   string rc = s;
   return rc;
}