//=========================================================================
// C++ Composite Designpattern  COGroup.cpp
//=========================================================================
#include "stdafx.h"
#include <iostream>
#include "COGroup.h"

//----------------------------------------------------------------------
COGroup::COGroup(void)
{
}

//----------------------------------------------------------------------
COGroup::~COGroup()
{
   cout << "Destructor COGroup" << endl;
   for (unsigned int i=0; i<vElemente.size(); i++)
   {
      COElement *rE = vElemente[i];
      delete rE;
   }
   vElemente.clear();
}

//----------------------------------------------------------------------
void COGroup::add(COElement *pElement)
{
   vElemente.push_back(pElement);
}

//----------------------------------------------------------------------
string COGroup::showContent(void)
{
   return showContent(0);
}

//----------------------------------------------------------------------
string COGroup::showContent(int pLevel)
{
   char s[10000] = "";
   for (int i=0; i<pLevel; i++)
   {
      strcat(s, "  ");
   }
   strcat(s, "Gruppe: \n");

   for (unsigned int i=0; i<vElemente.size(); i++)
   {
      strcat(s, (vElemente[i]->showContent(pLevel+1)).c_str());
      strcat(s, "\n");
   }
   return s;
}
