//=========================================================================
// C++ Composite Designpattern  COLinie.h
//=========================================================================
#ifndef _COLINIE_H_
#define _COLINIE_H_

#include "COElement.h"
#include <vector>

using namespace std;

class COLinie : public COElement
{
   public:
      COLinie(int px1, int py1, int px2, int py2);
      virtual ~COLinie();

      void set(int px1, int py1, int px2, int py2);
      virtual string showContent(void);
      virtual string showContent(int pLevel);

   private:
      int x1;
      int y1;
      int x2;
      int y2;
};

#endif
