//=========================================================================
// C++ Decorator Designpattern - DCDecoratorWareBasis.cpp
//=========================================================================
#include "stdafx.h"        // Entfernen fr Borland
#include "DCDecoratorWareBasis.h"
#include "DCWare.h"

//-------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------
DCDecoratorWareBasis::DCDecoratorWareBasis (DCWare & rNewWare)
{
   pWare = &rNewWare;
}

//-------------------------------------------------------------------------
// Destructor
//-------------------------------------------------------------------------
DCDecoratorWareBasis::~DCDecoratorWareBasis ()
{
   // pWare darf nicht mit freigegeben werden !
}

//-------------------------------------------------------------------------
// setName (const string &)
//-------------------------------------------------------------------------
void DCDecoratorWareBasis::setName (const string & sNew)
{
   pWare->setName(sNew);
}

//-------------------------------------------------------------------------
// getName (void)
//-------------------------------------------------------------------------
const string & DCDecoratorWareBasis::getName (void)
{
   return pWare->getName();
}

//-------------------------------------------------------------------------
// setEKPreis (const double fNew)
//-------------------------------------------------------------------------
void DCDecoratorWareBasis::setEKPreis (const double fNew)
{
   pWare->setEKPreis(fNew);
}

//-------------------------------------------------------------------------
// getEKPreis (void)
//-------------------------------------------------------------------------
double DCDecoratorWareBasis::getEKPreis (void)
{
   return pWare->getEKPreis();
}