//=========================================================================
// C++ Factory Designpattern  FAKreis.h
//=========================================================================
#ifndef _FAKREIS_H_
#define _FAKREIS_H_

#include <string>
#include <vector>
#include "FAGraphicElement.h"

using namespace std;

class FAKreis : public FAGraphicElement
{ 
   public:
      FAKreis(void);

      virtual const vector<string> getProperties(void);
      virtual string getProperty(string pProperty);
      virtual void setProperty(string pProperty, string pValue);
      virtual string showContent(void);

   private:
      int xKoordinate;
      int yKoordinate; 
      int nRadius;
      static vector<string> vProperties;
};

#endif