//=========================================================================
// C++ Proxy Designpattern  PXAdministratorProxy.h
//=========================================================================
#ifndef _PXADMINISTRATORPROXY_H_
#define _PXADMINISTRATORPROXY_H_

#include <string>
#include "IPXDatalistProxy.h"
#include "PXDatalist.h"

using namespace std;

class PXAdministratorProxy : public IPXDatalistProxy
{
   public:
      PXAdministratorProxy(PXDatalist *pList);

      void anlegen  (string pVorname, string pNachname, int pKdNr);
      void aendern  (int pIdx, string pVorname, string pNachname, int pKdNr);
      void loeschen (int pIdx);
      void anzeigen (int pIdx);
      void anzeigen (void);

   private:
         PXDatalist *rList;
};

#endif