//=========================================================================
// C++ Proxy Designpattern  PXVisitorProxy.cpp
//=========================================================================
#include "stdafx.h"
#include "PXVisitorProxy.h"
#include <iostream>

using namespace std;
   
//----------------------------------------------------------------------
PXVisitorProxy::PXVisitorProxy(PXDatalist *pList)
{
   rList = pList;
}

//----------------------------------------------------------------------
void PXVisitorProxy::anlegen (string pVorname, string pNachname, int pKdNr)
{
   cout << "Sie haben keine Berechtigung, um Daten anzulegen" << endl;
}
   
//----------------------------------------------------------------------
void PXVisitorProxy::aendern (int pIdx, string pVorname, string pNachname, int pKdNr)
{
   cout << "Sie haben keine Berechtigung, um Daten zu ndern" << endl;
}
   
//----------------------------------------------------------------------
void PXVisitorProxy::loeschen (int pIdx)
{
   cout << "Sie haben keine Berechtigung, um Daten zu lschen" << endl;
}
   
//----------------------------------------------------------------------
void PXVisitorProxy::anzeigen (int pIdx)
{
   cout << rList->get(pIdx).getNachname() <<  ", " << rList->get(pIdx).getVorname() << endl;
}
   
//----------------------------------------------------------------------
void PXVisitorProxy::anzeigen (void)
{
   for (unsigned int i=0; i<rList->size(); i++)
   {
      anzeigen(i);
   }
}