//=========================================================================
// C++ Strategy Designpattern  STLongText.h
//=========================================================================
#ifndef _STLONGTEXT_H_
#define _STLONGTEXT_H_

#include <string>
#include "STSaveStrategy.h"

using namespace std;

class STLongText
{
   //----------------------------------------------------------------------
   public: 
      STLongText (void);
      ~STLongText();
      
      void            save            (void);
      string          getText         (void);
      void            setText         (string pString);
      STSaveStrategy* getSaveStrategy (void);
      void            setSaveStrategy (STSaveStrategy* pStrategy);

   //----------------------------------------------------------------------
   private:
      string sText;
      STSaveStrategy* rSaveStrategy;
};

#endif
