//=========================================================================
// C++ Template Method Designpattern - TMKunde.h
//=========================================================================
#ifndef _TMKUNDE_H_
#define _TMKUNDE_H_

#include <fstream>
#include <string>
#include "tmperson.h"
#include "tmfilesaver.h"

using namespace std;

class TMKunde : public TMPerson,  public TMFilesaver
{
   //----------------------------------------------------------------------
   // Methoden
   //----------------------------------------------------------------------
   public:
               TMKunde (const string & sNew, const int nNew);
      virtual ~TMKunde ();

            void setKundennummer (const int nNew);
      const int  getKundennummer (void);

   protected:
      virtual void save_write (ofstream & rDatei);

   //----------------------------------------------------------------------
   // Attribute
   //----------------------------------------------------------------------
   private:
      int nKundennummer;
};

#endif
